POST http:///api/v2/user/create-direct-account
The request body takes a complete CreateDirectAccountNewUserModel resource, containing the following writable properties:
{
"apiOnly": "boolean",
"createNewUserSecret": "string",
"displayName": "string",
"email": "string",
"emailConfirmed": "boolean",
"externalUserSessionReference": "string",
"password": "string",
"timeZone": "string",
"username": "string"
}
| Name | Type | Description |
|---|---|---|
| apiOnly | boolean | Boolean |
| createNewUserSecret | string | String |
| displayName | string | String |
| string | String | |
| emailConfirmed | boolean | Boolean |
| externalUserSessionReference | string | String |
| password | string | String |
| timeZone | string | String |
| username | string | String |
The following HTTP status codes may be returned, optionally with a response resource.
| Status code | Description | Resource |
|---|---|---|
| 200 | OK OK |
NewUserCreatedModel |
Powered by DapperDox